## dictionary-el 1.8.7-2

=== debian/changelog ===
dictionary-el (1.8.7-2) unstable; urgency=low

  * debian/emacsen-startup: cope with being unable to load
    dictionary-init, as this package is not always fully
    installed/configured.  (Closes: #308335.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 18 May 2005 18:50:11 -0400

dictionary-el (1.8.7-1) unstable; urgency=low

  * New upstream release:
     "* fixed decoding problem while displaying the dictionary selection
        in dictionary-select-dictionary (reported by Kuno Strassmann)
      * added patch fixing the wrong display of dictionary description
        (provided by Sergei Pokrovsky)
      * added dictionary-description-open-delimiter and
        dictionary-description-close-delimiter (suggested by Sergei
        Pokrovsky)"
  * debian/rocks: removed (obsolete artifact of CBS).
  * debian/rules: force sane permissions (0644, not 0755!) on *.el.
  * debian/watch: new, to help track upstream.

 -- Aaron M. Ucko <ucko@debian.org>  Sun,  2 Jan 2005 11:38:53 -0500

dictionary-el (1.8.5-2) unstable; urgency=low

  * debian/control:
    - Standards-version 3.6.1.
    - Rename Build-Depends-Indep to Build-Depends.
    - Bump build dependency on debhelper to 4.1.46 per cdbs's advice.
  * debian/copyright: added years.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 14 Jan 2004 18:20:16 -0500

dictionary-el (1.8.5-1) unstable; urgency=low

  * New upstream release:
    "* added variable dictionary-use-single-buffer to allow selecting
       between single/multiple buffers for dictionary access
     * added tooltip support for XEmacs based on balloon-help"
  * Convert from CBS to CDBS.
  * Fix case in short description.
  * emacsen-install: use -(-)no-site-file.
  * emacsen-startup: load dictionary-init rather than duplicating it!
  * Bump standards version to 3.5.10 (no changes).

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 26 Jun 2003 20:58:40 -0400

dictionary-el (1.8.4-1) unstable; urgency=low

  * New upstream release (no relevant changes, but I'm putting out new
    packages anyway, so I might as well take it...).
  * Fix "Upstream Author(s)" in debian/copyright.
  * Replace debian/rules with CBS.
  * Bump standards version to 3.5.8; no changes required.

 -- Aaron M. Ucko <ucko@debian.org>  Thu,  5 Dec 2002 22:00:58 -0500

dictionary-el (1.8.3-1) unstable; urgency=low

  * Initial Release (closes: #164490, #111436)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 12 Oct 2002 18:57:44 -0400
