=== debian/control ===
Source: dictionary-el
Section: text
Priority: optional
Maintainer: Aaron M. Ucko <ucko@debian.org>
Build-Depends: cdbs, debhelper (>= 4.1.46)
Standards-Version: 3.6.1

Package: dictionary-el
Architecture: all
Depends: emacs21 | emacsen
Recommends: emacs21 | mule-ucs
Provides: dict-client
Conflicts: dictionary
Description: dictionary client for Emacs
 dictionary-el is a DICT (RFC 2229) client for (X)Emacs, with support
 for brace-delimited cross references and UTF-8-encoded entries.
 Note that XEmacs bundles a slightly older version of this package.
