=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

common-install-indep::
	install -m644 *.el debian/dictionary-el/usr/share/emacs/site-lisp/dictionary-el
