=== debian/watch ===
version=2
http://www.myrkr.in-berlin.de/dictionary/download.html dictionary-([\d\.]+).tar.gz
