## dictionary-el 1.10

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
-# -*- Makefile -*- $Id: Makefile,v 1.8 2002/10/12 09:54:09 torsten Exp $
-
+# -*- Makefile -*-
 EMACS=emacs
 
-VERSION=1.8
+VERSION=1.10
 PACKAGE=dictionary
 TYPE=comm
 XEMACS-PACKAGE=$(PACKAGE)-$(VERSION)-pkg.tar.gz
@@ -15,7 +14,8 @@
            install-package.el
 DOC_FILES=README GPL Makefile
 DEB_FILES=README.debian control copyright install.debian postinst \
-          prerm remove.debian rules changelog dirs
+          prerm remove.debian rules changelog dictionary.install \
+	  compat
 DEB_DIR=deb
 
 .SUFFIXES: .elc .el
@@ -29,7 +29,7 @@
 
 .PHONY: debian
 debian:
-	[ -x debian ] || ln -s deb debian
+	@[ -x debian ] || ln -s deb debian
 	@if [ -x /usr/bin/fakeroot ]; then \
 	  dpkg-buildpackage -us -uc -rfakeroot; \
 	elif [ `id -u` -ne 0 ]; then \
@@ -95,7 +95,7 @@
 	install -d $$DESTDIR; \
 	install $(LISP_FILES) $(DOC_FILES) $$DESTDIR; \
 	mkdir $$DESTDIR/$(DEB_DIR); \
-	cd $(DEB_DIR) && install $(DEB_FILES) $$DESTDIR/$(DEB_DIR); \
+	cd $(DEB_DIR) && install -m 644 $(DEB_FILES) $$DESTDIR/$(DEB_DIR); \
 	tar czf $(CURDIR)/dictionary-$$VERSION.tar.gz -C $$DIR .; \
 	rm -r $$DIR; \
 	echo "dictionary-$$VERSION.tar.gz has been created"
