## dictionary-el 1.10+git20190107

=== debian/changelog ===
dictionary-el (1.10+git20190107-3) unstable; urgency=medium

  [ David Bremner ]
  * Implicitly rebuild with dh-elpa 2.x.

  [ Aaron M. Ucko ]
  * .gitignore: Drop debian (a conditional symlink upstream).
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Upgrade to newer source format 3.0 (quilt).

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 28 Jan 2021 22:19:23 -0500

dictionary-el (1.10+git20190107-2) unstable; urgency=medium

  * debian/dictionary-el.maintscript: New, to clean up old site-start file.
    Account for delayed cleanup by setting a cutoff of -2~, not -1~.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 26 Jan 2019 20:21:28 -0500

dictionary-el (1.10+git20190107-1) unstable; urgency=medium

  * New upstream snapshot, incorporating most previous outstanding Debian
    changes and adding among other things support for custom definition
    body faces, preferably variable-width.  (Closes: #864644.)
  * Rework packaging in terms of dh-elpa.  (There's little benefit in
    keeping formal XEmacs support when XEmacs already bundles a version.)
    - debian/control:
      + Build-depend on dh-elpa.
      + Rename the main binary package to elpa-dictionary (but leave the
        source package name as is, at least for now.)
      + Add a formal dependency on ${elpa:Depends}; relegate emacs to
        Recommends and Enhances.
      + Turn dictionary-el into a transitional dummy package.
    - debian/dictionary-pkg.el: New, based on the generated version but
      with (internal) dependencies commented out.
    - debian/{dirs,emacsen-*}: Removed, no longer needed.
    - debian/elpa-dictionary.elpa: New, listing files to install.
    - debian/rules: Replace with a dh-elpa oneliner.
  * debian/compat: Advance to level 11 (from 9).
  * debian/control:
    - Bump debhelper version requirement to 11~ accordingly.
    - Rules-Requires-Root: no (confirmed safe).
    - Repoint Vcs-{Browser,Git} at salsa.
    - Standards-Version: 4.3.0 (already compliant).
  * debian/copyright: Extend upstream copyright through 2014.  (The only
    subsequent upstream change was merging a small patch contributed by a
    third party, and as such doesn't count.)
  * debian/source/format: Explicitly set to 1.0.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 10 Jan 2019 22:19:53 -0500

dictionary-el (1.10-3) unstable; urgency=medium

  * debian/control: Canonicalize per cme.  In particular, declare
    Standards-Version: 3.9.8 (already compliant, in fact).
  * dictionary.el:
    - Per Hermógenes Oliveira <oliveira-guest@alioth.debian.org>,
      adjust buffer-read-only rather than calling toggle-read-only, which
      is deprecated and can have unwanted side effects.  (Closes: #850279.)
    - Per the ever-patient Kevin Ryde <user42@zip.com.au>, adjust
      dictionary-tooltip-dictionary's defcustom type to acknowledge that nil
      (the default value) is in fact valid.  (Closes: #719041.)  Also, tweak
      dictionary-display-tooltip (used by GNU Emacs) to proceed even if
      dictionary-tooltip-dictionary is nil, as already done for XEmacs.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 05 Jan 2017 21:32:36 -0500

dictionary-el (1.10-2) unstable; urgency=medium

  * debian/control:
    - Depend on emacsen-common (>= 2.0.8), per the new emacsen policy.
    - Standards-Version: 3.9.5 (already compliant).
  * debian/copyright: Belatedly update years (accidentally missed earlier).
  * debian/emacsen-compat: Declare compliance with modern policy.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 17 Jun 2014 10:46:58 -0400

dictionary-el (1.10-1) unstable; urgency=low

  * New upstream release, incorporating among other things all outstanding
    Debian changes.  (Closes: #709093.)
  * Standards-Version: 3.9.4 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 21 May 2013 22:33:25 -0400

dictionary-el (1.8.7-15) unstable; urgency=low

  * dictionary.el:
    - (dictionary-display-dictionary-line) Special-case "--exit--", which
      doesn't name a dictionary but rather marks the end of the server's
      default search list.  (Closes: #611941.)
    - When customizing dictionary-server or other connection-related
      variables with a connection already open, offer to close it so
      that the change can take immediate effect.  (Closes: #611943.)
  * dictionary-init.el: Register dictionary and dictionary-proxy as
    customization groups associated with dictionary.el.  (Closes: #611942.)
  * debian/compat: formally advance to Debhelper 9.
  * debian/control:
    - Advance debhelper build dependency accordingly.
    - Drop Recommends; mule-ucs is long gone, and trying to recommend it
      only in the absence of a modern emacs flavor failed to account for
      the (unofficial) emacs-snapshot package.  (Closes: #660901.)
    - Repoint Vcs-* fields at anonscm.debian.org (vs. git.debian.org).
    - Standards-Version: 3.9.3 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 19 Jun 2012 22:34:10 -0400

dictionary-el (1.8.7-14) unstable; urgency=low

  * dictionary.el (dictionary-mode): call make-local-hook only under XEmacs;
    GNU Emacs deprecated it back in version 21, and will retire it altogether
    in the upcoming version 24.  (Closes: #600800.)
  * debian/compat: formally advance to Debhelper 8, as it is safe to do so.
  * debian/control:
    - Advance debhelper build-dependency accordingly.
    - Update Recommends: again, as emacs22 and emacs-snapshot are no more.
    - Standards-Version: 3.9.1.  (No further changes needed.)
    - Set Vcs-* fields to point to (new) personal git.d.o repository.
  * debian/.gitignore: Direct git to ignore content generated during build.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 23 Oct 2010 22:49:06 -0400

dictionary-el (1.8.7-13) unstable; urgency=low


