=== debian/control ===
Source: dictionary-el
Maintainer: Aaron M. Ucko <ucko@debian.org>
Section: lisp
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/ucko/dictionary-el
Vcs-Git: https://salsa.debian.org/ucko/dictionary-el.git
Homepage: https://www.myrkr.in-berlin.de/dictionary/
Rules-Requires-Root: no

Package: elpa-dictionary
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs
Enhances: emacs
Provides: dict-client
Description: dictionary client for Emacs
 elpa-dictionary is a DICT (RFC 2229) client for Emacs, with support
 for brace-delimited cross references and UTF-8-encoded entries.

Package: dictionary-el
Architecture: all
Section: oldlibs
Depends: elpa-dictionary,
         ${misc:Depends}
Description: transitional dummy package, dictionary-el to elpa-dictionary
 This dummy package may be safely removed.
