=== debian/watch ===
version=4
http://www.myrkr.in-berlin.de/dictionary/download.html dictionary-([\d\.]+).tar.gz
